<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <meta name="author" content="fastlane team">
  
  <title>Setup - fastlane docs</title>
  

  <link rel="shortcut icon" href="../../../img/favicon.ico">
  

  
  <link href='https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" href="../../../css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../../css/theme_extra.css" type="text/css" />
  <link rel="stylesheet" href="../../../css/highlight.css">
  <link href="../../../css/breadcrumbs.css" rel="stylesheet">
  <link href="../../../css/code.css" rel="stylesheet">
  <link href="../../../css/fabric.css" rel="stylesheet">
  <link href="../../../css/fastlane.css" rel="stylesheet">
  <link href="../../../css/sidenav.css" rel="stylesheet">

  
  <script>
    // Current page data
    var mkdocs_page_name = "Setup";
    var mkdocs_page_input_path = "getting-started/ios/setup.md";
    var mkdocs_page_url = "/getting-started/ios/setup/";
  </script>
  
  <script src="../../../js/jquery-2.1.1.min.js"></script>
  <script src="../../../js/modernizr-2.8.3.min.js"></script>
  <script type="text/javascript" src="../../../js/highlight.pack.js"></script>
  <script src="../../../js/theme.js"></script> 

  
  <script>
      (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
      })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

      ga('create', 'UA-18658848-13', 'docs.fastlane.tools');
      ga('send', 'pageview');
  </script>
  
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
      <div class="wy-side-nav-search">
        <a href="../../.." class="icon icon-home"> fastlane docs</a>
        
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
        <ul class="current">
          
            <li>
  
    <li class="toctree-l1 ">
      <a class="" href="../../..">Home</a>
      
    </li>
  
<li>
          
            <li>
  
    <ul class="subnav">
      <li><span>Getting Started</span></li>
      
      
  
    <ul class="subnav">
      <li><span>iOS</span></li>
      
      
  
    <li class="toctree-l1 current">
      <a class="current" href="./">Setup</a>
      
      <ul>
        
          
        
      </ul>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../screenshots/">Screenshots</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../beta-deployment/">Beta Deployment</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../appstore-deployment/">App Store Deployment</a>
      
    </li>
  

      
    </ul>
  

      
      
  
    <ul class="subnav">
      <li><span>Android</span></li>
      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../android/setup/">Setup</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../android/screenshots/">Screenshots</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../android/beta-deployment/">Beta Deployment</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../android/release-deployment/">Release Deployment</a>
      
    </li>
  

      
    </ul>
  

      
    </ul>
  
<li>
          
            <li>
  
    <li class="toctree-l1 ">
      <a class="" href="../../../actions/">Actions</a>
      
    </li>
  
<li>
          
            <li>
  
<li>
          
            <li>
  
    <li class="toctree-l1 ">
      <a class="" href="../../../faqs/">FAQs</a>
      
    </li>
  
<li>
          
            <li>
  
    <ul class="subnav">
      <li><span>Codesigning</span></li>
      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../codesigning/getting-started/">Getting Started</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../codesigning/xcode-project/">Xcode Project</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../codesigning/troubleshooting/">Troubleshooting</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../codesigning/common-issues/">Common Issues</a>
      
    </li>
  

      
    </ul>
  
<li>
          
            <li>
  
    <ul class="subnav">
      <li><span>Plugins</span></li>
      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../plugins/available-plugins/">Available Plugins</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../plugins/create-plugin/">Create Your Own Plugin</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../plugins/plugins-troubleshooting/">Plugins Troubleshooting</a>
      
    </li>
  

      
    </ul>
  
<li>
          
            <li>
  
    <ul class="subnav">
      <li><span>Best Practices</span></li>
      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../best-practices/source-control/">Source Control</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../best-practices/continuous-integration/">Continuous Integration</a>
      
    </li>
  

      
      
  
    <li class="toctree-l1 ">
      <a class="" href="../../../best-practices/keys/">Keys</a>
      
    </li>
  

      
    </ul>
  
<li>
          
            <li>
  
    <li class="toctree-l1 ">
      <a class="" href="../../../advanced/">Advanced</a>
      
    </li>
  
<li>
          
        </ul>
      </div>
      &nbsp;
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../..">fastlane docs</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../..">Docs</a> &raquo;</li>
    
      
        
          <li>Getting Started &raquo;</li>
        
      
        
          <li>iOS &raquo;</li>
        
      
    
    <li>Setup</li>

    
      <li class="wy-breadcrumbs-aside">
        
          <a href="https://github.com/fastlane/docs/edit/master/docs/getting-started/ios/setup.md" class="icon icon-github" target="_blank">
            Edit on GitHub
          </a>
        
      </li>
    
    <li class="wy-breadcrumbs-aside">
      <input type="text" name="q" placeholder="Search docs" />
    </li>
  </ul>
  <hr/>
</div>

<link rel="stylesheet" href="https://cdn.jsdelivr.net/docsearch.js/2/docsearch.min.css" />
<!-- at the end of the BODY -->
<script type="text/javascript" src="https://cdn.jsdelivr.net/docsearch.js/2/docsearch.min.js"></script>
<script type="text/javascript"> docsearch({
    apiKey: 'c651753b86f5f8a00f8f2e9e9ca95865',
    indexName: 'fastlane',
    inputSelector: 'body > div.wy-grid-for-nav > section > div > div > div:nth-child(1) > ul > li.wy-breadcrumbs-aside > input[type="text"]',
    debug: false
});
</script>
          <div role="main">
            <div class="section">
              
                <h1 id="getting-started-with-fastlane-for-ios"><a name="user-content-getting-started-with-fastlane-for-ios" href="#getting-started-with-fastlane-for-ios" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>Getting started with <em>fastlane</em> for iOS</h1>
<h2 id="installing-fastlane"><a name="user-content-installing-fastlane" href="#installing-fastlane" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>Installing <em>fastlane</em></h2>
<p>Make sure you have the latest version of the Xcode command line tools installed:</p>
<pre><code class="no-highlight">xcode-select --install
</code></pre>

<h3 id="choose-your-installation-method"><a name="user-content-choose-your-installation-method" href="#choose-your-installation-method" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>Choose your installation method:</h3>
<table width="100%">
<tr>
<th width="33%"><a href="http://brew.sh">Homebrew</a></td>
<th width="33%">Installer Script</td>
<th width="33%">Rubygems</td>
</tr>
<tr>
<td width="33%" align="center">macOS</td>
<td width="33%" align="center">macOS</td>
<td width="33%" align="center">macOS or Linux with Ruby 2.0.0 or above</td>
</tr>
<tr> 
<td width="33%"><code>brew cask install fastlane</code></td>
<td width="33%"><a href="https://download.fastlane.tools">Download the zip file</a>. Then double click on the <code>install</code> script (or run it in a terminal window).</td>
<td width="33%"><code>sudo gem install fastlane -NV</code></td>
</tr>
</table>

<h2 id="setting-up-fastlane"><a name="user-content-setting-up-fastlane" href="#setting-up-fastlane" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>Setting up <em>fastlane</em></h2>
<p>Navigate your terminal to your project's directory and run</p>
<pre><code class="no-highlight">fastlane init
</code></pre>

<p>You'll be asked for your Apple ID, and <em>fastlane</em> will automatically generate a fastlane configuration for you, based on the information provided.</p>
<p>You can see the newly created <em>fastlane</em> directory, with all your existing metadata fetched from iTunes Connect.</p>
<p><img src="/img/getting-started/ios/fastlane-init.png" width="800" /></p>
<p>The most interesting file is <code>fastlane/Fastfile</code>, which contains all the information that is needed to distribute your app.</p>
<h2 id="whats-next"><a name="user-content-whats-next" href="#whats-next" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>What's next?</h2>
<p><em>fastlane</em> created all the required files for you, now you can go ahead and customise it to generate screenshots or to automatically distribute new builds</p>
<ul>
<li><a href="../screenshots/"><em>fastlane</em> screenshots for iOS and tvOS</a></li>
<li><a href="../beta-deployment/">iOS Beta deployment using <em>fastlane</em></a></li>
<li><a href="../appstore-deployment/">iOS App Store deployment using <em>fastlane</em></a></li>
</ul>
<h3 id="use-a-gemfile"><a name="user-content-use-a-gemfile" href="#use-a-gemfile" class="headeranchor-link" aria-hidden="true"><span class="headeranchor"></span></a>Use a Gemfile</h3>
<p>It is recommended that you use a <code>Gemfile</code> to define your dependency on <em>fastlane</em>. This will clearly define the used <em>fastlane</em> version, and its dependencies, and will also speed up using <em>fastlane</em>.</p>
<ul>
<li>Install <a href="https://bundler.io/">bundler</a> using <code>sudo gem install bundler</code></li>
<li>Create a <code>./Gemfile</code> in the root directory of your project with the content</li>
</ul>
<pre><code class="ruby">source &quot;https://rubygems.org&quot;

gem &quot;fastlane&quot;
</code></pre>

<ul>
<li>Run <code>[sudo] bundle update</code> and add both the <code>./Gemfile</code> and the <code>./Gemfile.lock</code> to version control</li>
<li>Every time you run <em>fastlane</em>, use <code>bundle exec fastlane [lane]</code></li>
<li>On your CI, add <code>[sudo] bundle install</code> as your first build step</li>
<li>To update <em>fastlane</em>, just run <code>[sudo] bundle update</code></li>
</ul>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="../screenshots/" class="btn btn-neutral float-right" title="Screenshots">Next <span class="icon icon-circle-arrow-right"></span></a>
      
      
        <a href="../../.." class="btn btn-neutral" title="Home"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div class="fastlane" role="contentinfo">
    <p>
      <a href="https://github.com/fastlane/fastlane" target="_blank">
        <img src="/img/fastlane_text.png" width="200" />
      </a>
      <iframe src="https://ghbtns.com/github-btn.html?user=fastlane&repo=fastlane&type=watch&count=true"
        allowtransparency="true" frameborder="0" scrolling="0" width="110" height="20" class="githubButton"></iframe>
    </p>
  </div>

  Built with <a href="http://www.mkdocs.org">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a> - Copyright &copy; 2017 <a href="https://fastlane.tools">fastlane</a>
</footer>
	  
        </div>
      </div>

    </section>

  </div>

<div class="rst-versions" role="note" style="cursor: pointer">
    <span class="rst-current-version" data-toggle="rst-current-version">
      
          <a href="https://github.com/fastlane/docs" class="icon icon-github" style="float: left; color: #fcfcfc"> GitHub</a>
      
      
        <span><a href="../../.." style="color: #fcfcfc;">&laquo; Previous</a></span>
      
      
        <span style="margin-left: 15px"><a href="../screenshots/" style="color: #fcfcfc">Next &raquo;</a></span>
      
    </span>
</div>

</body>
</html>
